Product comparison · 2 ip phones

Yealink SIP T42U vs Yealink W77P IP phone Black TFT

Add a product
  • 36specifications compared
  • 12differ
  • 24identical
  • 59known for one product only

Key differences

The Yealink W77P IP phone Black TFT has 1 more function keys than the Yealink SIP T42U (6 vs 5). The Yealink SIP T42U has 4 more programmable keys than the Yealink W77P IP phone Black TFT (6 vs 2). The Yealink SIP T42U has 1 more Ethernet LAN (RJ-45) ports than the Yealink W77P IP phone Black TFT (2 vs 1). Only the Yealink W77P IP phone Black TFT has integrated voicemail. Only the Yealink SIP T42U has Wi-Fi.

  • Product colour
    • SIP T42U:Grey
    • W77P IP phone Black TFT:Black
  • Integrated voicemail
    • SIP T42U:No
    • W77P IP phone Black TFT:Yes
  • Number of function keys
    • SIP T42U:5
    • W77P IP phone Black TFT:6
  • Number of programmable keys
    • SIP T42U:6
    • W77P IP phone Black TFT:2
  • Display
    • SIP T42U:LCD
    • W77P IP phone Black TFT:TFT
  • Display diagonal
    • SIP T42U:6.86 cm (2.7")
    • W77P IP phone Black TFT:4.57 cm (1.8")
  • Display resolution
    • SIP T42U:192 x 68 pixels
    • W77P IP phone Black TFT:128 x 160 pixels
  • Ethernet LAN interface type
    • SIP T42U:Gigabit Ethernet
    • W77P IP phone Black TFT:Fast Ethernet

Side by side

Differences highlightedShow differences only (on)
Comparison of SIP T42U, W77P
95 specifications
Design1 differ
Product colourDiffersGreyBlack
Backlight keypadKnown for oneUnknown — not stated by the sourceYes
Protection featuresKnown for oneUnknown — not stated by the sourceDust resistant, Scratch resistant, Shock resistant, Splash proof
Performanceidentical
DECT connectableKnown for oneUnknown — not stated by the sourceYes
Maximum indoor rangeKnown for oneUnknown — not stated by the source50 m
Maximum outdoor rangeKnown for oneUnknown — not stated by the source300 m
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceSIP info
Hearing aid compatibilityKnown for oneUnknown — not stated by the sourceYes
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Simultaneous ringKnown for oneUnknown — not stated by the sourceYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Vibrating alertKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Distinctive ringKnown for oneYesUnknown — not stated by the source
Do not disturb functionKnown for oneYesUnknown — not stated by the source
Number of VoIP accountsKnown for one12Unknown — not stated by the source
Management features3 differ
Integrated voicemailDiffersNoYes
Keypad number of keysKnown for oneUnknown — not stated by the source25
Number of function keysDiffers56
Number of programmable keysDiffers62
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Display3 differ
DisplayDiffersLCDTFT
Display diagonalDiffers6.86 cm (2.7")4.57 cm (1.8")
Display resolutionDiffers192 x 68 pixels128 x 160 pixels
Number of simultaneous touchpointsKnown for oneUnknown — not stated by the source20
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Number of melodiesKnown for oneUnknown — not stated by the source9
Network2 differ
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source10,100 Mbit/s
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Wi-FiDiffersYesNo
DHCP clientKnown for oneUnknown — not stated by the sourceYes
Networking standardsKnown for oneIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afUnknown — not stated by the source
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one256-bit AES, HTTPS, TLS, WPA2, WPA3Unknown — not stated by the source
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
Ports & interfaces1 differ
Ethernet LAN (RJ-45) portsDiffers21
USB 2.0 ports quantityKnown for one2Unknown — not stated by the source
RJ-9 ports quantityKnown for one2Unknown — not stated by the source
Poweridentical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
Standby timeKnown for oneUnknown — not stated by the source575 h
Talk timeKnown for oneUnknown — not stated by the source40 h
Power consumption (typical)Known for one2.2 WUnknown — not stated by the source
Enduranceidentical
International Protection (IP) codeKnown for oneUnknown — not stated by the sourceIP54
Batteryidentical
Battery technologyKnown for oneUnknown — not stated by the sourceLithium-Ion (Li-Ion)
Battery capacityKnown for oneUnknown — not stated by the source1460 mAh
Battery voltageKnown for oneUnknown — not stated by the source3.7 V
Operational conditionsidentical
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source-30 - 70%
Weight & dimensions1 differ
WeightKnown for oneUnknown — not stated by the source7.46 kg
Handset dimensions (WxDxH)Known for oneUnknown — not stated by the source157 x 51 x 24 mm
Base dimensions (WxDxH)Known for oneUnknown — not stated by the source130 x 100 x 25.1 mm
Package weightDiffers63 kg8.14 kg
WidthKnown for one212 mmUnknown — not stated by the source
DepthKnown for one189 mmUnknown — not stated by the source
HeightKnown for one175 mmUnknown — not stated by the source
Package widthKnown for one627 mmUnknown — not stated by the source
Package depthKnown for one256 mmUnknown — not stated by the source
Package heightKnown for one235 mmUnknown — not stated by the source
Packaging content1 differ
AC adapter includedDiffersNoYes
Base stationKnown for oneUnknown — not stated by the sourceYes
ChargerKnown for oneUnknown — not stated by the sourceYes
Ethernet cableKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes
Cameraidentical
Rear cameraKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons